Skip to main content
POST
Expire a points bucket

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Loyalty program ID (format lprg_[a-f0-9]+).

Pattern: ^lprg_[a-f0-9]+$
memberId
string
required

Program member ID (format lmbr_[a-f0-9]+).

Pattern: ^lmbr_[a-f0-9]+$
cardId
string
required

Loyalty card ID (format lcrd_[a-f0-9]+).

Pattern: ^lcrd_[a-f0-9]+$
bucketId
string
required

Points expiration bucket ID (format lcpeb_[a-f0-9]+).

Pattern: ^lcpeb_[a-f0-9]+$

Response

Result of the points expiration.

Result of a manual points bucket expiration. This endpoint always returns status TRANSACTION_CREATED on success.

transaction
object | null
required

The created ADMIN_POINTS_EXPIRATION card transaction, or null.

status
enum<string>
required

Result status. The API endpoint returns TRANSACTION_CREATED.

Available options:
TRANSACTION_CREATED,
NO_EXPIRATION
message
string
required

Human-readable result message - "Points expiration transaction created".

Last modified on July 27, 2026